Bug 36812 - member-mode (and maybe ad-connector): check of domain of mail addresses confusing
member-mode (and maybe ad-connector): check of domain of mail addresses confu...
Status: RESOLVED WONTFIX
Product: UCS
Classification: Unclassified
Component: AD Connector
UCS 3.2
Other Linux
: P5 normal (vote)
: ---
Assigned To: Connector maintainers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-18 14:38 CET by Ingo Steuwer
Modified: 2017-08-08 07:10 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.171
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2014111021000654
Bug group (optional): Workaround is available
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2014-11-18 14:38:51 CET
In member-mode, users are synced from AD including their mail address. As the address is stored as "mailPrimaryAddress", UDM will check it against the registered list of mail domains.

If no mail service is installed in the environment, or if AD and UCS host different mailservices, this check will fail.

Seen on 2014111021000654
Comment 1 Ingo Steuwer univentionstaff 2014-11-18 14:55:16 CET
UDM cli can't modify users from AD with a given mail address:

root@ucsdc:~# udm users/user modify --dn "uid=steuwer,ou=people,dc=my,dc=domain" --set employeeNumber=12
The domain part of the primary mail address is not in list of configured mail domains: steuwer@my.domain.


Workaround: define syntax to string:

ucr set \
 directory/manager/web/modules/users/user/properties/mailPrimaryAddress/syntax=string
Comment 2 Stefan Gohmann univentionstaff 2017-06-16 20:37:21 CEST
This issue has been filed against UCS 3. UCS 3 is out of the normal maintenance and many UCS components have vastly changed in UCS 4.

If this issue is still valid, please change the version to a newer UCS version otherwise this issue will be automatically closed in the next weeks.
Comment 3 Stefan Gohmann univentionstaff 2017-08-08 07:10:29 CEST
This issue has been filed against UCS 3.2.

UCS 3.2 is out of maintenance and many UCS components have vastly changed in later releases. Thus, this issue is now being closed.

If this issue still occurs in newer UCS versions, please use "Clone this bug" or reopen this issue. In this case please provide detailed information on how this issue is affecting you.